Bug 92315 - Writer incorrectly renders EMF file with text in it
Summary: Writer incorrectly renders EMF file with text in it
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:emf
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2015-06-24 16:37 UTC by g5827187
Modified: 2018-06-20 02:48 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Copper phthalocyanine molecule in vector format (45.50 KB, image/x-emf)
2015-06-24 16:37 UTC, g5827187
Details
graph (30.71 KB, image/x-emf)
2016-02-12 14:22 UTC, giles
Details
Screenshot of the broken rendering in LO5.3.1.2 (126.54 KB, image/png)
2017-04-24 17:44 UTC, Joerg
Details
Screenshot of the correct rendering in Windows Paint (58.08 KB, image/png)
2017-04-24 17:46 UTC, Joerg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description g5827187 2015-06-24 16:37:46 UTC
Created attachment 116809 [details]
Copper phthalocyanine molecule in vector format

1 Create a docx file
2 Create a EMF file with text. You can use the attached one.
3 link it.
4 Enjoy incorrectly rendered image
.....
N-2 Fix the bug
N-1 Close issue
N PROFIT!!!
Comment 1 raal 2015-06-24 17:36:29 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: a64999511ae654131d997eec9a3d78478cfc1c75
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-22_05:01:17
Comment 2 giles 2016-02-12 14:22:24 UTC
Created attachment 122578 [details]
graph
Comment 3 giles 2016-02-12 14:23:34 UTC
(In reply to gobber from comment #2)
> Created attachment 122578 [details]
> graph

Comments: 
I can confirm this bug. Using:
LO 5.0.3.2 x64
See attachment.

Text is shifted in libreoffice.
The picture is displayed correctly in openoffice 3.3.0
Comment 4 giles 2016-02-12 16:05:44 UTC
Problem remains in Libreoffice v5.1.0.3
Comment 5 giles 2016-02-15 15:06:41 UTC
(In reply to gobber from comment #4)
> Problem remains in Libreoffice v5.1.0.3

I have traced rendering problems with metafiles back to Libreoffice version v4.0.0.3 x86, which is about the last version which displayed vector files correctly in Writer.
I have noticed at different libreoffice versions with a vector line chart the following remarks:
v4.0.0.3: all is ok!
v4.1.6.2: parts of the line are not rendered.
v4.3.0.1: lines are not rendered at all!
v5.1.0.3: lines are rendered ok, yet dotted line information is lost (all lines are solid), and text is shifted.
Comment 6 Joerg 2016-05-03 06:26:11 UTC
Version 5.1.2 is still affected.
Comment 7 Xisco Faulí 2016-09-12 12:41:24 UTC
Adding keyword 'bibisectRequest'.
Comment 8 Aron Budea 2016-09-18 04:12:18 UTC
Second bug is fixed in v5.2.1.2.

First isn't, and was never fine (though it looked wrong in a slightly different way). Removing regression-related keywords.
Comment 9 Joerg 2016-09-18 06:55:31 UTC
Hello,

I just installed 5.2.1.2 and nothing has changed. The Text in the EMF images is completly wrong in size!

I'm a long time user of OpenOffice (since StarOffice 2.0 for Windows) and I'm not aware of any OpenOffice version that has problems with rendering WMF/EMF files. 
Because of the good implementation for the WMF/EMF vector graphics rendering, my company has used this format in several tools that generates ODF documents.

Currently we use OpenOffice 4.1.1, just because of this bug. Otherwise we would use LibreOffice.

Best regards,
Jörg
Comment 10 Aron Budea 2016-09-19 03:10:50 UTC
Hi Joerg, I tested both images with v5.2.1.2, and "graph" (filename: test.emf) looks exactly the same imported in Writer as it is when opened in Paint.
"Copper phthalocyanine molecule in vector format" still looks wrong, that's why the report is still open (and it seems the two issues weren't related).

If you think you got some good examples of this bug, feel free to upload example files, or if you think yours is different, file a new bug report. Even if the title suggests this is some kind of generic bug report, it isn't, and generally each issue is supposed to go in a separate report.

Note that currently there are more than 11k issues open in LibreOffice bugzilla, and unless someone takes particular interest in this, the chance of significant improvement in EMF handling is slim.
Comment 11 Joerg 2017-04-24 17:44:24 UTC
Created attachment 132798 [details]
Screenshot of the broken rendering in LO5.3.1.2

For me it looks different, I will attach screenshots how the graphic is rendered by LO5.3.1.2 form. My LO version is:

Version: 5.3.1.2 (x64)
Build-ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU-Threads: 4; BS-Version: Windows 6.1; UI-Render: GL; Layout-Engine: neu; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 12 Joerg 2017-04-24 17:46:28 UTC
Created attachment 132799 [details]
Screenshot of the correct rendering in Windows Paint
Comment 13 QA Administrators 2018-06-20 02:48:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug